com.tibbo.aggregate.common.protocol

## Class DefaultClientController.ForwardingEventListener

- java.lang.Object
- - com.tibbo.aggregate.common.context.DefaultContextEventListener
  - - com.tibbo.aggregate.common.protocol.DefaultClientController.ForwardingEventListener

- All Implemented Interfaces:
    ContextEventListener
  Enclosing class:
    DefaultClientController<T extends CallerData>

      public class DefaultClientController.ForwardingEventListener
      extends DefaultContextEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardingEventListener(ContextManager contextManager, java.lang.Integer listenerCode, Expression filter, java.lang.String fingerprint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CallerController` | `getCallerController()`
    `void` | `handle(Event event)` Handles the event
    `int` | `hashCode()`
    `boolean` | `shouldHandle(Event event)` Should return true if event should be handled.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.DefaultContextEventListener

      `getFilter, getFingerprint, getListenerCode, getLocalContextManager, handle, isAsync, setAcceptEventsWithoutListenerCode, setCallerController, setContextManager, setFilter, setFingerprint, setListenerCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForwardingEventListener

          public ForwardingEventListener(ContextManager contextManager,
                                         java.lang.Integer listenerCode,
                                         Expression filter,
                                         java.lang.String fingerprint)

  - ### Method Detail

    - #### shouldHandle

          public boolean shouldHandle(Event event)
                               throws EventHandlingException

      Description copied from interface: `ContextEventListener`
      Should return true if event should be handled.
      Specified by:
        `shouldHandle` in interface `ContextEventListener`
      Overrides:
        `shouldHandle` in class `DefaultContextEventListener`
      Throws:
        `EventHandlingException`

    - #### handle

          public void handle(Event event)
                      throws EventHandlingException

      Description copied from interface: `ContextEventListener`
      Handles the event
      Throws:
        `EventHandlingException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getCallerController

          public CallerController getCallerController()

      Specified by:
        `getCallerController` in interface `ContextEventListener`
      Overrides:
        `getCallerController` in class `DefaultContextEventListener`